Toolboxes
Create a new version of a toolbox
POST
/toolboxes/{name}/versionsCreates a new toolbox version, provisioning the toolbox itself if it does not already exist.
Path ParametersQuery Parameters
namestringrequired
The name of the toolbox. If the toolbox does not exist, it will be created.api-versionstringrequired
The API version to use for this operation.Request BodyContent-Type: application/json
descriptionstring
A human-readable description of the toolbox.metadataobject
Arbitrary key-value metadata to associate with the toolbox.tools(code_interpreter | file_search | web_search | shell | mcp | azure_ai_search | openapi | a2a | a2a_preview | browser_automation_preview | browser_automation | reminder_preview | work_iq_preview | fabric_iq_preview | web_iq_preview | toolbox_search_preview | toolbox_search)[]required
The list of tools to include in this version.One of the following:
code_interpreterCodeInterpreterToolboxTool
A code interpreter tool stored in a toolbox.file_searchFileSearchToolboxTool
A file search tool stored in a toolbox.web_searchWebSearchToolboxTool
A web search tool stored in a toolbox.shellShellToolboxTool
A shell tool stored in a toolbox. This model is additive to toolbox configuration and does not modify the OpenAI tool contract or existing toolbox tool definitions.mcpMCPToolboxTool
An MCP tool stored in a toolbox.azure_ai_searchAzureAISearchToolboxTool
An Azure AI Search tool stored in a toolbox.openapiOpenApiToolboxTool
An OpenAPI tool stored in a toolbox.a2aA2AToolboxTool
An A2A tool stored in a toolbox.a2a_previewA2APreviewToolboxTool
An A2A tool stored in a toolbox.browser_automation_previewBrowserAutomationPreviewToolboxTool
A browser automation tool stored in a toolbox.browser_automationBrowserAutomationToolboxTool
A browser automation tool stored in a toolbox.reminder_previewReminderPreviewToolboxTool
A reminder tool stored in a toolbox.work_iq_previewWorkIQPreviewToolboxTool
A WorkIQ tool stored in a toolbox.fabric_iq_previewFabricIQPreviewToolboxTool
A FabricIQ tool stored in a toolbox.web_iq_previewWebIQPreviewToolboxTool
A WebIQ tool stored in a toolbox.toolbox_search_previewToolboxSearchPreviewToolboxTool
A toolbox search tool stored in a toolbox.toolbox_searchToolSearchToolboxTool
A toolbox search tool stored in a toolbox.skillsskill_reference[]
The list of skill sources to include in this version. A skill reference specifies a skill name and optionally a version. If version is omitted, the skill's default version is used.One of the following:
skill_referenceToolboxSkillReference
A reference to an existing skill to include in a toolbox.policiesToolboxPolicies
Policy configuration for a toolbox, including content safety and other governance settings.rai_configRaiConfig
Configuration for Responsible AI (RAI) content filtering and safety features.Responses
metadataobject | nullrequired
Set of 16 key-value pairs that can be attached to an object. This can be
useful for storing additional information about the object in a structured
format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings
with a maximum length of 512 characters.idstringrequired
The unique identifier of the toolbox version.namestringrequired
The name of the toolbox.versionstringrequired
The version identifier of the toolbox. Toolbox versions are immutable and every update creates a new version.descriptionstring
A human-readable description of the toolbox.created_atintegerrequired
The Unix timestamp (seconds) when the toolbox version was created.tools(code_interpreter | file_search | web_search | shell | mcp | azure_ai_search | openapi | a2a | a2a_preview | browser_automation_preview | browser_automation | reminder_preview | work_iq_preview | fabric_iq_preview | web_iq_preview | toolbox_search_preview | toolbox_search)[]required
The list of tools contained in this toolbox version.One of the following:
code_interpreterCodeInterpreterToolboxTool
A code interpreter tool stored in a toolbox.file_searchFileSearchToolboxTool
A file search tool stored in a toolbox.web_searchWebSearchToolboxTool
A web search tool stored in a toolbox.shellShellToolboxTool
A shell tool stored in a toolbox. This model is additive to toolbox configuration and does not modify the OpenAI tool contract or existing toolbox tool definitions.mcpMCPToolboxTool
An MCP tool stored in a toolbox.azure_ai_searchAzureAISearchToolboxTool
An Azure AI Search tool stored in a toolbox.openapiOpenApiToolboxTool
An OpenAPI tool stored in a toolbox.a2aA2AToolboxTool
An A2A tool stored in a toolbox.a2a_previewA2APreviewToolboxTool
An A2A tool stored in a toolbox.browser_automation_previewBrowserAutomationPreviewToolboxTool
A browser automation tool stored in a toolbox.browser_automationBrowserAutomationToolboxTool
A browser automation tool stored in a toolbox.reminder_previewReminderPreviewToolboxTool
A reminder tool stored in a toolbox.work_iq_previewWorkIQPreviewToolboxTool
A WorkIQ tool stored in a toolbox.fabric_iq_previewFabricIQPreviewToolboxTool
A FabricIQ tool stored in a toolbox.web_iq_previewWebIQPreviewToolboxTool
A WebIQ tool stored in a toolbox.toolbox_search_previewToolboxSearchPreviewToolboxTool
A toolbox search tool stored in a toolbox.toolbox_searchToolSearchToolboxTool
A toolbox search tool stored in a toolbox.skillsskill_reference[]
The list of skill sources included in this toolbox version.One of the following:
skill_referenceToolboxSkillReference
A reference to an existing skill to include in a toolbox.policiesToolboxPolicies
Policy configuration for a toolbox, including content safety and other governance settings.rai_configRaiConfig
Configuration for Responsible AI (RAI) content filtering and safety features.